package capitulo04.bloque01;

import static capitulo04.utils.Utils.generarNumAleatorio;
import static capitulo04.utils.Utils.solicitarIntScanner;

public class Ejercicio04 {
    public static void main(String[] args) {
        int nums150[] = new int[150];
        int numBusc = solicitarIntScanner("Introduzca el valor a buscar");
        boolean encontrado = false;

        for (int i = 0; i < nums150.length; i++) {
            nums150[i] = (int) Math.round(generarNumAleatorio(100));
        }

        for (int num : nums150) {
            System.out.print(num + " ");
        }

        for (int i = 0; i < nums150.length; i++) {
            if (numBusc == nums150[i]) {
                System.out.println("\nSe ha encontrado el número en la posición " + i);
                encontrado = true;
            } else if (i == (nums150.length - 1) && !encontrado) {
                System.out.println("\nNo se ha encontrado el número");
            }
        }
    }
}
